import React from 'react';
import { FormField, TypeAdapter, ValidationAdapter } from './Form';
import { FormInstance } from 'rc-field-form';
import InputAdapter from './adapters/InputAdapter';
import SelectAdapter from './adapters/SelectAdapter';
import TextareaAdapter from './adapters/TextareaAdapter';

export default class CommonAdapters {
  static all(): TypeAdapter[] {
    return [
      {
        name: 'string',
        render: (field: FormField, props: any) => {
          return <InputAdapter {...props} field={field} />;
        },
      },
      {
        name: 'textarea',
        render: (field: FormField, props: any) => {
          // console.log( 'inpput props ', JSON.stringify(props))
          return <TextareaAdapter {...props} field={field} />;
        },
      },
      {
        name: 'select',
        render: (field: FormField, props: any) => {
          // console.log( 'inpput props ', JSON.stringify(props))
          return <SelectAdapter {...props} field={field} />;
        },
      },
    ];
  }

  static allValidators(): ValidationAdapter[] {
    return [
      {
        name: 'equals',
        message: 'Should be equals',
        validator: async (rule: any, value: any, form: FormInstance) => {
          if (form.getFieldValue(rule.to) !== value) {
            throw Error('Not equal');
          }
        },
      },
    ];
  }
}
