import React, { FC, useRef } from 'react';
import { styles } from './MutlitSelectStyles';
import { Label, NativeBase, View } from 'native-base';
import MultiSelect, { MultiSelectProps } from 'react-native-multiple-select';
export type MultiSelectTagDropDownProps = {
  label?: string;
  labelProps?: NativeBase.Label;
  itemList?: any[];
  multiSelectProps: MultiSelectProps;
};
export const MultiSelectTagDropDown: FC<MultiSelectTagDropDownProps> = (
  props: MultiSelectTagDropDownProps
) => {
  const { label, labelProps, multiSelectProps } = props;

  const multiSelect = useRef<MultiSelect | null>(null);
  return (
    <View style={styles.itemStyle}>
      {label && (
        <Label
          {...labelProps}
          style={
            labelProps?.style
              ? { ...styles.textDefault, ...(labelProps.style as object) }
              : styles.textDefault
          }
        >
          {label}
          {'   '}
        </Label>
      )}
      <View style={styles.default}>
        <MultiSelect
          ref={(component) => {
            multiSelect.current = component;
          }}
          // styleSelectorContainer={{ borderRadius: 10, backgroundColor: 'green' }}
          // styleItemsContainer={{backgroundColor: 'purple'}}
          styleInputGroup={{ borderRadius: 7, paddingRight: 20 }}
          // styleMainWrapper={{backgroundColor: 'blue', }}
          styleListContainer={{ backgroundColor: 'white' }}
          styleDropdownMenuSubsection={{
            borderRadius: 7,
            height: 55,
            paddingLeft: 10,
          }}
          styleTextDropdownSelected={{ fontSize: 17, paddingLeft: 10 }}
          styleDropdownMenu={{ borderRadius: 7 }}
          {...multiSelectProps}
          altFontFamily="Roberto"
          tagRemoveIconColor="#FD8282"
          tagBorderColor="#FD8282"
          tagTextColor="#FD8282"
          selectedItemTextColor="#CCC"
          selectedItemIconColor="#CCC"
          itemTextColor="#000"
          displayKey="name"
          searchInputStyle={{ color: '#CCC' }}
          submitButtonColor="#FD8282"
        />
      </View>
    </View>
  );
};
